# Class ELFunctionMapper

java.lang.Object
org.apache.jasper.compiler.ELFunctionMapper

public class ELFunctionMapper extends Object
This class generates functions mappers for the EL expressions in the page. Instead of a global mapper, a mapper is used for each call to EL evaluator, thus avoiding the prefix overlapping and redefinition issues.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ELFunctionMapper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `map(Node.Nodes page)`
  Creates the functions mappers for all EL expressions in the JSP page.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ELFunctionMapper

    public ELFunctionMapper()

- ## Method Details

  - ### map

    public static void map(Node.Nodes page) throws JasperException
    Creates the functions mappers for all EL expressions in the JSP page.
    Parameters:
      `page` - The current compilation unit.
    Throws:
      `JasperException` - EL error